|  | Home | Documentation | wsrx.h File Reference updated by Robert van Engelen |

Classes | Functions
wsrx.h File Reference
This graph shows which files directly or indirectly include this file:

## Classes

struct | SOAP_ENV__Header
| Added. More...

## Functions

int | __wsrm__CreateSequence (struct wsrm__CreateSequenceType *wsrm__CreateSequence, struct wsrm__CreateSequenceResponseType *wsrm__CreateSequenceResponse)
int | __wsrm__CloseSequence (struct wsrm__CloseSequenceType *wsrm__CloseSequence, struct wsrm__CloseSequenceResponseType *wsrm__CloseSequenceResponse)
int | __wsrm__TerminateSequence (struct wsrm__TerminateSequenceType *wsrm__TerminateSequence, struct wsrm__TerminateSequenceResponseType *wsrm__TerminateSequenceResponse)
int | __wsrm__CreateSequenceResponse (struct wsrm__CreateSequenceResponseType *wsrm__CreateSequenceResponse, void)
int | __wsrm__CloseSequenceResponse (struct wsrm__CloseSequenceResponseType *wsrm__CloseSequenceResponse, void)
int | __wsrm__TerminateSequenceResponse (struct wsrm__TerminateSequenceResponseType *wsrm__TerminateSequenceResponse, void)
int | __wsrm__SequenceAcknowledgement (void)
int | __wsrm__AckRequested (void)

## Function Documentation

## ◆ __wsrm__AckRequested()

int __wsrm__AckRequested | ( | void |  | ) |

## ◆ __wsrm__CloseSequence()

int __wsrm__CloseSequence | ( | struct wsrm__CloseSequenceType * | wsrm__CloseSequence,
|  | struct wsrm__CloseSequenceResponseType * | wsrm__CloseSequenceResponse )

## ◆ __wsrm__CloseSequenceResponse()

int __wsrm__CloseSequenceResponse | ( | struct wsrm__CloseSequenceResponseType * | wsrm__CloseSequenceResponse,
|  | void | )

## ◆ __wsrm__CreateSequence()

int __wsrm__CreateSequence | ( | struct wsrm__CreateSequenceType * | wsrm__CreateSequence,
|  | struct wsrm__CreateSequenceResponseType * | wsrm__CreateSequenceResponse )

## ◆ __wsrm__CreateSequenceResponse()

int __wsrm__CreateSequenceResponse | ( | struct wsrm__CreateSequenceResponseType * | wsrm__CreateSequenceResponse,
|  | void | )

## ◆ __wsrm__SequenceAcknowledgement()

int __wsrm__SequenceAcknowledgement | ( | void |  | ) |

## ◆ __wsrm__TerminateSequence()

int __wsrm__TerminateSequence | ( | struct wsrm__TerminateSequenceType * | wsrm__TerminateSequence,
|  | struct wsrm__TerminateSequenceResponseType * | wsrm__TerminateSequenceResponse )

## ◆ __wsrm__TerminateSequenceResponse()

int __wsrm__TerminateSequenceResponse | ( | struct wsrm__TerminateSequenceResponseType * | wsrm__TerminateSequenceResponse,
|  | void | )